Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 564546 - [science overlay] sci-libs/blas-reference-20131116-r1 - Error: Action update unknown, eselect blas update returned, Error: File "//etc/env.d/blas/lib64/reference" is missing!
Summary: [science overlay] sci-libs/blas-reference-20131116-r1 - Error: Action update ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-31 09:24 UTC by Dennis Schridde
Modified: 2019-07-03 12:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,71.39 KB, text/plain)
2015-10-31 09:27 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2015-10-31 09:24:38 UTC
>>> Installing (2 of 4) sci-libs/blas-reference-20131116-r1::science
>>> needed    sym /usr/lib64/blas/reference/libblas.so.0
>>> needed    obj /usr/lib64/blas/reference/libblas.so.0.0.0
!!! Error: Action update unknown
exiting
 * eselect blas update  returned 
!!! Error: File "//etc/env.d/blas/lib64/reference" is missing!
Call stack:
    * iface_do_show (skel.bash:143)
    * do_show (skel.bash:283)
    * check_do (core.bash:24)
    * do_action (core.bash:105)
    * main (eselect:309)
exiting
 * Creating Alternative for blas
!!! Error: Action update unknown
exiting

See-Also: bug #563292, bug #563288, bug #563674, bug #546858

Reproducible: Always




# emerge --info blas-reference lapack-reference gsl
Portage 2.2.23 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-4.9.3, glibc-2.22-r1, 4.2.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.2.5-gentoo-x86_64-AMD_A10-7800_Radeon_R7,_12_Compute_Cores_4C+8G-with-gentoo-2.2
KiB Mem:    15381424 total,   7617672 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sat, 31 Oct 2015 08:15:01 +0000
sh bash 4.3_p42
ld GNU ld (Gentoo 2.25 p1.2) 2.25
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p42::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.0::gentoo
dev-lang/python:          2.7.10::gentoo, 3.3.5-r1::gentoo, 3.4.3::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.3.2-r1::gentoo
dev-util/pkgconfig:       0.29::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/sandbox:         2.9::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.2::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r1::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000

aegypius
    location: /var/lib/layman/aegypius
    sync-type: laymansync
    sync-uri: git://github.com/aegypius/overlay.git
    masters: gentoo
    priority: 50

kde
    location: /var/lib/layman/kde
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/kde.git
    masters: gentoo
    priority: 50

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    sync-type: laymansync
    sync-uri: git://github.com/cschwan/sage-on-gentoo.git
    masters: gentoo science
    priority: 50

science
    location: /var/lib/layman/science
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/sci.git
    masters: gentoo
    priority: 50

local
    location: /var/cache/portage/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=bdver3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=bdver3"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j5"
PKGDIR="/var/cache/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus aacs acl acpi alsa amd64 appindicator audit avahi bash-completion bdplus berkdb bluetooth bluray branding bzip2 cairo caps cdda cddb cdio cdr celt cjk cli conntrack cracklib crypt cups cxx dbus declarative dirac dri dts dvb dvd dvdr egl emboss encode exif fam fax ffmpeg firefox flac fontconfig fortran gdbm gif glamor gles gles2 gmp gpm gstreamer gtk ibus iconv ipv6 jpeg jpeg2k kde kipi ladspa latex lcms ldap libinput libnotify libproxy libsecret lua_target_lua5-2 lv2 lz4 lzma lzo mad mmx mmxext mng modemmanager modplug modules mp3 mp4 mpeg mplayer mtp multilib multitarget mysql ncurses netlink networkmanager nls nptl ogg openal opencl openexr opengl openmax openmp opus pam pango pch pcre pdf phonon plasma png policykit ppds pulseaudio qml qt3support qt4 qt5 readline rtmp samba scanner schroedinger sctp sdl seccomp semantic-desktop session speex spell sse sse2 ssl startup-notification subversion svg systemd tcpd theora threads tiff truetype udev udisks unicode upnp upnp-av upower usb v4l vaapi vdpau vorbis vpx wavpack wayland webp widgets x264 x265 xattr xcb xcomposite xinerama xml xrandr xscreensaver xv xvid xz zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="stage words flow sheets gemini" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3" DRACUT_MODULES="btrfs caps systemd" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="coreboot efi-64 pc" INPUT_DEVICES="evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_GB ar fa" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu radeon radeonsi" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sci-libs/blas-reference-20131116-r1::science was built with the following:
USE="-int64 -static-libs -test" ABI_X86="64 -32 -x32"


sci-libs/lapack-reference-3.2.1-r1::gentoo was built with the following:
USE="(policykit) -doc" ABI_X86="64"


sci-libs/gsl-1.16-r2::science was built with the following:
USE="-cblas-external -static-libs" ABI_X86="64 -32 -x32"
Comment 1 Dennis Schridde 2015-10-31 09:27:28 UTC
Created attachment 415788 [details]
build.log
Comment 2 Dennis Schridde 2015-10-31 09:47:20 UTC
$ eix -e eselect
[I] app-admin/eselect
     Available versions:  1.3.8 1.4.4 (~)1.4.5 (~)1.4.5-r101[1] **9999 **9999[1] {doc emacs vim-syntax}
     Installed versions:  1.4.5-r101[1](01:35:16 17/10/15)(-doc -emacs -vim-syntax)
     Homepage:            http://wiki.gentoo.org/wiki/Project:Eselect
     Description:         Gentoo's multi-purpose configuration and management tool

[1] "science" /var/lib/layman/science
Comment 3 Justin Lecher gentoo-dev 2015-11-10 16:28:17 UTC
PLease only use ABI_X96="64" not 32.
Comment 4 Dennis Schridde 2015-11-10 17:07:20 UTC
(In reply to Justin Lecher from comment #3)
> PLease only use ABI_X96="64" not 32.

build.log says I did not...? (Check line 4.)
Comment 5 Larry the Git Cow gentoo-dev 2019-06-26 06:07:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f8a985b71b033d7a7c4d252c00dd83669ee5913

commit 5f8a985b71b033d7a7c4d252c00dd83669ee5913
Author:     Mo Zhou <cdluminate@gmail.com>
AuthorDate: 2019-06-26 02:27:40 +0000
Commit:     Benda Xu <heroxbd@gentoo.org>
CommitDate: 2019-06-26 06:06:09 +0000

    virtual/{blas,cblas,lapack,lapacke}: add/update virtual packages.
    
      These virtual packages are used by the BLAS/LAPACK runtime switching
      mechanism.
    
      Drop old EAPI=5 ebuilds.
    
    Closes: https://github.com/gentoo/gentoo/pull/12323
    Closes: https://bugs.gentoo.org/373613
    Closes: https://bugs.gentoo.org/669644
    Closes: https://bugs.gentoo.org/564546
    Closes: https://bugs.gentoo.org/565776
    Closes: https://bugs.gentoo.org/646316
    Closes: https://bugs.gentoo.org/563674
    Closes: https://bugs.gentoo.org/659014
    Closes: https://bugs.gentoo.org/659264
    Closes: https://bugs.gentoo.org/657984
    Closes: https://bugs.gentoo.org/381801
    Closes: https://bugs.gentoo.org/646316
    Closes: https://bugs.gentoo.org/565776
    Closes: https://bugs.gentoo.org/498490
    
    Signed-off-by: Mo Zhou <cdluminate@gmail.com>
    Signed-off-by: Benda Xu <heroxbd@gentoo.org>

 virtual/blas/blas-1.0.ebuild       | 14 --------------
 virtual/blas/blas-3.8.ebuild       | 14 ++++++++++++++
 virtual/blas/metadata.xml          | 10 +++++++---
 virtual/cblas/cblas-1.0.ebuild     | 14 --------------
 virtual/cblas/cblas-3.8.ebuild     | 14 ++++++++++++++
 virtual/cblas/metadata.xml         | 10 +++++++---
 virtual/lapack/lapack-3.0.ebuild   | 13 -------------
 virtual/lapack/lapack-3.1.ebuild   | 13 -------------
 virtual/lapack/lapack-3.8.ebuild   | 14 ++++++++++++++
 virtual/lapack/metadata.xml        | 10 +++++++---
 virtual/lapacke/lapacke-3.8.ebuild | 14 ++++++++++++++
 virtual/lapacke/metadata.xml       | 16 ++++++++++++++++
 12 files changed, 93 insertions(+), 63 deletions(-)
Comment 6 Larry the Git Cow gentoo-dev 2019-07-03 12:34:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0721aba4db4bc8ce37d11eab06ff528f31e4ce9f

commit 0721aba4db4bc8ce37d11eab06ff528f31e4ce9f
Author:     Benda Xu <heroxbd@gentoo.org>
AuthorDate: 2019-06-27 05:41:31 +0000
Commit:     Benda Xu <heroxbd@gentoo.org>
CommitDate: 2019-07-03 12:30:39 +0000

    virtual/{blas,cblas,lapack,lapacke}: add virtual packages.
    
      These virtual packages are used by the BLAS/LAPACK runtime switching
      mechanism.
    
    Closes: https://github.com/gentoo/gentoo/pull/12323
    Closes: https://bugs.gentoo.org/373613
    Closes: https://bugs.gentoo.org/381801
    Closes: https://bugs.gentoo.org/498490
    Closes: https://bugs.gentoo.org/563674
    Closes: https://bugs.gentoo.org/564546
    Closes: https://bugs.gentoo.org/565776
    Closes: https://bugs.gentoo.org/646316
    Closes: https://bugs.gentoo.org/657984
    Closes: https://bugs.gentoo.org/659014
    Closes: https://bugs.gentoo.org/659264
    Closes: https://bugs.gentoo.org/669644
    
    Signed-off-by: Mo Zhou <cdluminate@gmail.com>
    Signed-off-by: Benda Xu <heroxbd@gentoo.org>

 virtual/blas/blas-3.8.ebuild       | 14 ++++++++++++++
 virtual/blas/metadata.xml          | 10 +++++++---
 virtual/cblas/cblas-3.8.ebuild     | 14 ++++++++++++++
 virtual/cblas/metadata.xml         | 10 +++++++---
 virtual/lapack/lapack-3.8.ebuild   | 14 ++++++++++++++
 virtual/lapack/metadata.xml        | 10 +++++++---
 virtual/lapacke/lapacke-3.8.ebuild | 14 ++++++++++++++
 virtual/lapacke/metadata.xml       | 16 ++++++++++++++++
 8 files changed, 93 insertions(+), 9 deletions(-)